Search results

Getting started with JavaScript MaskedTextBox control

19 Oct 2022 / 3 minutes to read

The following section explains the required steps to build the MaskedTextBox component with its basic usage in step-by-step procedure.

Dependencies

The following list of dependencies are required to use the MaskedTextBox component in your application.

Copied to clipboard
|-- @syncfusion/ej2-inputs
    |-- @syncfusion/ej2-base

Set up your development environment

To get started with MaskedTextBox component, you can clone the Essential JS 2 QuickStart project, and install the packages by using the following commands.

Copied to clipboard
git clone https://github.com/syncfusion/ej2-quickstart.git quickstart
cd quickstart
npm install

The project is preconfigured with the common settings (src/styles/styles.css, system.config.js ) to start with all the Essential JS 2 components.

Add MaskedTextBox to the project

Add the HTML input element that needs to be rendered as MaskedTextBox in the index.html file.

[src/index.html]

Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 MaskedTextBox</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
    <meta name="description" content="Essential JS 2 MaskedTextBox" />
    <meta name="author" content="Syncfusion" />
    <link rel="shortcut icon" href="resources/favicon.ico" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />

    <!--style reference from app-->
    <link href="/styles/styles.css" rel="stylesheet" />

    <!--system js reference and configuration-->
    <script src="node_modules/systemjs/dist/system.src.js" type="text/javascript"></script>
    <script src="system.config.js" type="text/javascript"></script>
</head>

<body>
    <div style="margin: 50px;">
        <!--input element which needs to be rendered/converted as MaskedTextBox-->
        <input id="mask" type="text" />
    </div>

</body>

</html>

Import the MaskedTextBox component into your app.ts and append it to the element #mask as shown in the following.

[src/app/app.ts]

Copied to clipboard
import { MaskedTextBox } from '@syncfusion/ej2-inputs';

// initializes the MaskedTextBox component
let mask: MaskedTextBox = new MaskedTextBox();

mask.appendTo('#mask');

Set the mask

You can set the mask to the MaskedTextBox to validate the user input by using the mask property. To know more about the usage of mask and configuration, refer to this link.

The following example demonstrates the usage of mask element 0 that allows any single digit from 0 to 9.

Copied to clipboard
import { MaskedTextBox } from '@syncfusion/ej2-inputs';

// initializes the MaskedTextBox component
let mask: MaskedTextBox = new MaskedTextBox({
        // sets mask format to the MaskedTextBox
        mask: '000-000-0000'
});

mask.appendTo('#mask');

Run the application

Use the npm run start command to run the application in the browser.

Copied to clipboard
npm run start

The following example shows the MaskedTextBox with the mask element 0.

Source
Preview
app.ts
index.html
styles.css
Copied to clipboard
import { MaskedTextBox } from '@syncfusion/ej2-inputs';

// initializes the MaskedTextBox component
let mask: MaskedTextBox = new MaskedTextBox({
        // sets mask format to the MaskedTextBox
        mask: '000-000-0000',
        placeholder: 'MaskedTextBox',
        floatLabelType: 'Always'
});

mask.appendTo('#mask');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 MaskedTextBox</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="TypeScript MaskedTextBox Component" />
    <meta name="author" content="Syncfusion" />
    <link href="styles.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-inputs/styles/material.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>
<body>
    <div id='loader'>Loading....</div>
    <div id='container'>
        <div class='wrap'>
            <input id="mask" type="text" />
        </div>
    </div>
</body>
</html>
Copied to clipboard
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 0 auto;
  width: 240px;
}

.label {
    font-family: 'Helvetica Neue', 'Helvetica', 'Arial', 'sans-serif';
    font-size: 14px;
}

See Also

The following section explains the steps required to create the MaskedTextBox component and also it demonstrates the basic usage of the MaskedTextBox.
The following list of dependencies are required to use the MaskedTextBox component in your application.
|-- @syncfusion/ej2-angular-inputs
|-- @syncfusion/ej2-angular-base
|-- @syncfusion/ej2-angular-popups
|-- @syncfusion/ej2-angular-buttons
|-- @syncfusion/ej2-angular-splitbuttons
|-- @syncfusion/ej2-inputs
|-- @syncfusion/ej2-base
|-- @syncfusion/ej2-popups
|-- @syncfusion/ej2-buttons
|-- @syncfusion/ej2-splitbuttons
Angular provides the easiest way to set angular CLI projects using Angular CLI
tool.
Install the CLI application globally to your machine.
npm install -g @angular/cli
ng new syncfusion-angular-maskedtextbox
By default, it install the CSS style base application. To setup with SCSS, pass —style=scss argument on create project.
Example code snippet.
ng new syncfusion-angular-maskedtextbox --style=scss
Navigate to the created project folder.
cd syncfusion-angular-maskedtextbox
All the available Essential JS 2 packages are published in npmjs.com
registry.
To install MaskedTextBox component, use the following command.
npm install @syncfusion/ej2-angular-inputs --save
(or)
npm i @syncfusion/ej2-angular-inputs --save
The —save will instruct NPM to include the MaskedTextBox package inside of the dependencies section of the
package.json
.
Import MaskedTextBox module into Angular application(app.module.ts) from the package @syncfusion/ej2-angular-inputs
.
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
// imports the MaskedTextBoxModule for the MaskedTextBox component
import { MaskedTextBoxModule } from '@syncfusion/ej2-angular-inputs';
import { AppComponent } from './app.component';
@NgModule({
// declaration of ej2-angular-inputs module into NgModule
imports: [ BrowserModule, MaskedTextBoxModule ],
declarations: [ AppComponent],
bootstrap: [ AppComponent ]
})
export class AppModule { }
The following CSS files are available in ../node_modules/@syncfusion
package folder.
This can be referenced in [src/styles.css] using following code.
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-angular-inputs/styles/material.css';
Modify the template in [src/app/app.component.ts] file to render the MaskedTextBox component.
Add the Angular MaskedTextBox by using <ejs-maskedtextbox>
selector in template
section of the app.component.ts file..
import { Component } from '@angular/core';
@Component({
selector: 'app-root',
template: `<ejs-maskedtextbox></ejs-maskedtextbox>`
})
export class AppComponent { }
Note: If you want to refer the combined component styles, please make use of our CRG
(Custom Resource Generator) in your application.
You can set the mask to the MaskedTextBox to validate the user input by using the mask
property.
For more information about the usage of mask and configuration, refer to this link.
The following example demonstrates the usage of mask element 0
that allows any single digit from 0
to 9
.
import { Component} from '@angular/core';
@Component({
selector: 'app-root',
// sets mask format to the MaskedTextBox
template: `
<ejs-maskedtextbox mask='000-000-0000'></ejs-maskedtextbox>
`
})
export class AppComponent {
constructor() {
}
}
After completing the configuration required to render a basic MaskedTextBox, run the following command to display the output in your default browser.
ng serve
The following example illustrates the output in your browser.
import { Component } from '@angular/core';
@Component({
selector: 'app-root',
// sets mask format to the MaskedTextBox
template: `<label class='label'>Enter the mobile number</label>`+
`<ejs-maskedtextbox mask='000-000-0000'></ejs-maskedtextbox>`
})
export class AppComponent {
constructor() {
}
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { MaskedTextBoxModule } from '@syncfusion/ej2-angular-inputs';
import { FormsModule } from '@angular/forms';
/**
* Module
*/
@NgModule({
imports: [
BrowserModule, MaskedTextBoxModule, FormsModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
<!DOCTYPE html>
<html lang="en">
<head>
<title>EJ2 Angular MaskedTextBox</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="Angular MaskedTextBox Component" />
<meta name="author" content="Syncfusion" />
<link href="index.css" rel="stylesheet" />
<!-- Here we have used CDN links for our preview purpose -->
<link href="//cdn.syncfusion.com/ej2/ej2-base/styles/material.css" rel="stylesheet" />
<link href="//cdn.syncfusion.com/ej2/ej2-angular-inputs/styles/material.css" rel="stylesheet" />
<script src="https://unpkg.com/core-js/client/shim.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/core-js/2.4.1/core.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/zone.js/0.6.25/zone.min.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="systemjs.config.js"></script>
</head>
<body>
<div id='ang_container'>
<div class='wrap'>
<app-root>
<div id='loader'>LOADING....</div>
</app-root>
</div>
</div>
</body>
<style>
.e-mask.e-control-wrapper {
margin-bottom: 20px;
}
label.e-error {
margin-top: -42px;
}
</style>
</html>
#container {
visibility: hidden;
}
#loader {
color: #008cff;
height: 40px;
left: 45%;
position: absolute;
top: 45%;
width: 30%;
}
.wrap {
margin: 0 auto;
width: 240px;
}
.label {
font-family: 'Helvetica Neue', 'Helvetica', 'Arial', 'sans-serif';
font-size: 14px;
}
In MaskedTextBox, the value
property supports two-way binding functionality.
The following example demonstrates two-way binding functionality with the MaskedTextBox and HTML input element.
import { Component } from '@angular/core';
@Component({
selector: 'app-root',
// input element for checking the two-way binding support using value property
template: `
<div class='e-input-group' style='margin-bottom:30px'>
<input class='e-input' type='text' [(ngModel)]='value' placeholder='Mobile Number' />
</div>
<ejs-maskedtextbox mask='000-000-0000' [(value)]='value'></ejs-maskedtextbox>
`
})
export class AppComponent {
constructor() {
}
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { MaskedTextBoxModule } from '@syncfusion/ej2-angular-inputs';
import { FormsModule } from '@angular/forms';
/**
* Module
*/
@NgModule({
imports: [
BrowserModule, MaskedTextBoxModule, FormsModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
<!DOCTYPE html>
<html lang="en">
<head>
<title>EJ2 Angular MaskedTextBox</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta name="description" content="Angular MaskedTextBox Component" />
<meta name="author" content="Syncfusion" />
<link href="index.css" rel="stylesheet" />
<!-- Here we have used CDN links for our preview purpose -->
<link href="//cdn.syncfusion.com/ej2/ej2-base/styles/material.css" rel="stylesheet" />
<link href="//cdn.syncfusion.com/ej2/ej2-angular-inputs/styles/material.css" rel="stylesheet" />
<script src="https://unpkg.com/core-js/client/shim.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/core-js/2.4.1/core.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/zone.js/0.6.25/zone.min.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="systemjs.config.js"></script>
</head>
<body>
<div id='ang_container'>
<div class='wrap'>
<app-root>
<div id='loader'>LOADING....</div>
</app-root>
</div>
</div>
</body>
<style>
.e-mask.e-control-wrapper {
margin-bottom: 20px;
}
label.e-error {
margin-top: -42px;
}
</style>
</html>
#container {
visibility: hidden;
}
#loader {
color: #008cff;
height: 40px;
left: 45%;
position: absolute;
top: 45%;
width: 30%;
}
.wrap {
margin: 0 auto;
width: 240px;
}
.label {
font-family: 'Helvetica Neue', 'Helvetica', 'Arial', 'sans-serif';
font-size: 14px;
}
MaskedTextBox is a form component and validation is playing vital role in forms to get the valid data.
Here to showcase the MaskedTextBox with form validations we have used the reactive form.
For more details about Reactive Forms refer: https://angular.io/guide/reactive-forms
.
ReactiveFormsModule
from the @angular/forms
package and add it to your NgModule’s imports array.
In addition to this, FormGroup
, FormControl
should be imported to the app component.FormGroup
is used to declare formGroupName
for the form. The constructor of this FormGroup
then takes an object,
that can contain sub-form-groups and FormControls
.FormControl
is used to declare formControlName
for form controls.The following example demonstrates how to use the reactive forms.
import { Component, Inject } from '@angular/core';
import {MaskedTextBoxComponent } from '@syncfusion/ej2-angular-inputs';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
@Component({
selector: 'app-root',
templateUrl: './app/template.html',
})
export class AppComponent {
skillForm: FormGroup;
build: FormBuilder;
constructor(@Inject(FormBuilder) private builder: FormBuilder) {
this.build = builder;
this.createForm();
}
createForm() {
this.skillForm = this.build.group({
mask: ['', Validators.required],
username: ['', Validators.required],
});
}
get username() { return this.skillForm.get('username'); }
get mask() { return this.skillForm.get('mask'); }
onSubmit() {
alert("You have entered the value: " + this.mask.value );
}
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HttpModule, JsonpModule } from '@angular/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { MaskedTextBoxModule } from '@syncfusion/ej2-angular-inputs';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
/**
* Module
*/
@NgModule({
imports: [
BrowserModule,FormsModule,ReactiveFormsModule, HttpModule, JsonpModule, MaskedTextBoxModule, ButtonModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Getting Started

20 Mar 20235 minutes to read

The following section explains the required steps to build the MaskedTextBox component with its basic usage in step-by-step procedure.

Prerequisites

System requirements for Syncfusion Vue UI components

Installation and configuration

You can use Vue CLI to setup your vue applications.

To install Vue CLI use the following command.

npm install -g @vue/cli

Start a new project using below Vue CLI command.

vue init webpack-simple quickstart
cd quickstart
npm install

Adding Syncfusion packages

All the available Essential JS 2 packages are published in npmjs.com public registry. You can choose the component that you want to install. For this application, we are going to use MaskedTextBox component.

To install MaskedTextBox component, use the following command

npm install @syncfusion/ej2-vue-inputs –save

Registering Vue Component

For Registering Vue Component two ways are available. They are as follows.

  • Vue.use()
  • Vue.component()

Using Vue.use()

Import the MaskedTextBox Component Plugin from the EJ2 Vue Package and register the same using Vue.use() with
MaskedTextBox Component Plugin as its argument.

Refer the code snippet given below.

import { MaskedTextBoxPlugin } from "@syncfusion/ej2-vue-inputs";

Vue.use(MaskedTextBoxPlugin);

Note : By Registering Component Plugin in Vue, all child directives are also globally registered.

Using Vue.component()

Import the MaskedTextBox Component and MaskedTextBox Component Plugin from EJ2 Vue Package, register the same using the Vue.component() with name of MaskedTextBox Component from MaskedTextBox Component Plugin and the EJ2 Vue Component as its arguments.

Refer the code snippet given below.

import { MaskedTextBoxComponent, MaskedTextBoxPlugin } from '@syncfusion/ej2-vue-inputs';

Vue.component(MaskedTextBoxPlugin.name, MaskedTextBoxComponent);

By using Vue.component(), only the EJ2 Vue Component is registered. Child directives needs to be registered separately.

Adding MaskedTextBox component

Add the EJ2 Vue MaskedTextBox using <ejs-maskedtextbox> to the <template> section of the App.vue file in src directory, the content attribute of the MaskedTextBox component is provided as name in data option in the <script> section.

<template>
    <div class="control_wrapper">
      <div class="control-label">MaskedTextbox
      </div>
      <ejs-maskedtextbox></ejs-maskedtextbox>
    </div>
</template>
<script>
import Vue from "vue";
import { MaskedTextBoxPlugin } from "@syncfusion/ej2-vue-inputs";

Vue.use(MaskedTextBoxPlugin);
export default Vue.extend ({});

</script>

Set the mask

You can set the mask to the MaskedTextBox to validate the user input by using the mask property. To know more about the usage of mask and configuration, refer to this link.

The following example demonstrates the usage of mask element 0 that allows any single digit from 0 to 9.

<template>
    <div class="control_wrapper">
        <div class="control-label">MaskedTextBox
        </div>
        <ejs-maskedtextbox mask="000-000-0000"></ejs-maskedtextbox>
    </div>
</template>
<script>
import Vue from "vue";
import { MaskedTextBoxPlugin } from "@syncfusion/ej2-vue-inputs";

Vue.use(MaskedTextBoxPlugin);
export default Vue.extend ({});

</script>

Adding CSS reference

Import the MaskedTextBox component’s required CSS references as follows in src/App.css.

@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

If you want to refer the combined component styles, please make use of our CRG (Custom Resource Generator) in your application.

Run the application

Use the npm run dev command to run the application in the browser.

npm run dev

The following example shows the MaskedTextBox.

<template>
  <div id="app">
    <div class='wrap'>
        <ejs-maskedtextbox mask='000-000-0000' placeholder='MaskedTextBox' floatLabelType='Always'></ejs-maskedtextbox>
    </div>
  </div>
</template>
<script>
import Vue from "vue";
import { MaskedTextBoxPlugin } from "@syncfusion/ej2-vue-inputs";

Vue.use(MaskedTextBoxPlugin);
export default {
  data () {
    return {}
  }
}
</script>
<style>
  @import "../../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
 .wrap {
    margin: 0 auto;
    width: 240px;
}
</style>

Model binding

In MaskedTextBox, the value property supports model binding functionality.

The following example demonstrates model binding functionality with the MaskedTextBox and HTML input element.

<template>
  <div id="app">
  <div class='wrap'>
        <div class='e-input-group' style='margin-bottom:30px'>
        <input class='e-input' type='text' v-model='value' placeholder='Mobile Number'  />
        </div>
           <ejs-maskedtextbox v-model="value" :value="value" mask='000-000-0000'></ejs-maskedtextbox>
        </div>
    </div>
  </div>
</template>
<script>
import Vue from "vue";
import { MaskedTextBoxPlugin } from "@syncfusion/ej2-vue-inputs";

Vue.use(MaskedTextBoxPlugin);
export default {
  data () {
    return {
      value : ''
    }
  }
}
</script>
<style>
  @import "../../node_modules/@syncfusion/ej2-base/styles/material.css";
  @import "../../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";
 .wrap {
  margin: 35px auto;
  width: 240px;
}
</style>

See Also

HelpBot Assistant

How can I help you?

Getting Started with React MaskedTextBox component

10 Feb 20268 minutes to read

This section explains the steps required to create a simple React MaskedTextBox component and demonstrate its basic usage in a React environment.

Ready to streamline your Syncfusion® React development? Discover the full potential of Syncfusion® React components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant.

Setup for local development

Easily set up a React application using create-vite-app, which provides a faster development environment, smaller bundle sizes, and optimized builds compared to traditional tools like create-react-app. For detailed steps, refer to the Vite installation instructions. Vite sets up your environment using JavaScript and optimizes your application for production.

Note: To create a React application using create-react-app, refer to this documentation for more details.

To create a new React application, run the following command.

npm create vite@latest my-app

This command will prompt you for a few settings for the new project, such as selecting a framework and a variant.

Initial_setup

To set up a React application in TypeScript environment, run the following command.

npm create vite@latest my-app -- --template react-ts
cd my-app
npm run dev

To set up a React application in JavaScript environment, run the following command.

npm create vite@latest my-app -- --template react
cd my-app
npm run dev

Adding Syncfusion® MaskedTextBox packages

All the available Essential® JS 2 packages are published in the npmjs.com public registry.
To install the MaskedTextBox component, use the following command

npm install @syncfusion/ej2-react-inputs --save

The –save will instruct NPM to include the MaskedTextBox package inside of the dependencies section of the package.json.

Adding CSS reference

The following CSS files are available in the ../node_modules/@syncfusion package folder. Add these as references in src/App.css.

@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-react-inputs/styles/tailwind3.css";

To refer App.css in the application then import it in the src/App.tsx file.

Adding MaskedTextBox component

The React MaskedTextBox component can be added to the application by following these steps. To get started, add the MaskedTextBox component to the src/App.tsx file using the following code.

The following maskedtextbox code should be placed in the src/App.tsx file.

[Class-component]

import * as React from "react";
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import './App.css';

export default class App extends React.Component<{}, {}> {
  public render() {
    return (
      <MaskedTextBoxComponent placeholder="Enter Name"></MaskedTextBoxComponent>
    );
  }
};

[Functional-component]

import * as React from "react";
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import './App.css';

export default function App() {
  return (
    <MaskedTextBoxComponent placeholder="Enter Name"></MaskedTextBoxComponent>
  );
};

Set the Mask

Set the input mask using the mask property to validate user input. For details about mask tokens and configuration, see the mask configuration guide at mask-configuration.

The following example demonstrates the 0 mask token, which requires a single digit from 0 to 9 for each position.

[Class-component]

import * as React from "react";
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import './App.css';

export default class App extends React.Component<{}, {}> {
  public render() {
    return (
      <MaskedTextBoxComponent mask={'000-000-0000'}></MaskedTextBoxComponent>
    );
  }
};

[Functional-component]

import * as React from "react";
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import './App.css';

export default function App() {
  return (
    <MaskedTextBoxComponent mask={'000-000-0000'}></MaskedTextBoxComponent>
  );
};

Run the application

Run the npm run dev command in the terminal to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

The output appears as follows.

[Class-component]

import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
// initializes MaskedTextBox component
// sets value to the MaskedTextBox
export default class App extends React.Component {
    render() {
        return (<div>
            <label className='label'>Enter the mobile number</label>
            <MaskedTextBoxComponent mask={'000-000-0000'}/>
          </div>);
    }
}
;
ReactDOM.render(<App />, document.getElementById('maskedContainer'));
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";

// initializes MaskedTextBox component
// sets value to the MaskedTextBox
export default class App extends React.Component<{}, {}> {
    public render() {
        return (
          <div>
            <label className='label'>Enter the mobile number</label>
            <MaskedTextBoxComponent mask={'000-000-0000'} />
          </div>
        );
    }
};
ReactDOM.render(<App />, document.getElementById('maskedContainer'));

[Functional-component]

import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from 'react-dom';
// initializes MaskedTextBox component
// sets value to the MaskedTextBox
function App() {
    return (<div>
      <label className="label">Enter the mobile number</label>
      <MaskedTextBoxComponent mask={'000-000-0000'}/>
    </div>);
}
ReactDOM.render(<App />, document.getElementById('maskedContainer'));
import { MaskedTextBoxComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from 'react-dom';

// initializes MaskedTextBox component
// sets value to the MaskedTextBox
function App() {
  return (
    <div>
      <label className="label">Enter the mobile number</label>
      <MaskedTextBoxComponent mask={'000-000-0000'} />
    </div>
  );
}
ReactDOM.render(<App />, document.getElementById('maskedContainer'));

Refer to the React MaskedTextBox feature tour page for its groundbreaking feature representations. You can also explore our React MaskedTextBox component example that shows how to render the MaskedTextBox in React.

See Also